%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Technical Note 146
% Parameters for 'SVPWM vs SPWM modulation techniques' system
% Copyright imperix ltd, 2021
% dev@imperix.ch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Controller parameters

ControlFreq    = 20e3;              % Control interrupt frequency [Hz]
ControlPeriod  = 1/ControlFreq;     % Control interrupt period [s]
SamplingPeriod = ControlPeriod;     % Sampling period [s]

DeadTime = 1e-6;                  % Deadtime duration [s]


%% Plant model

L = 2.5e-3;                         % Load inductance [H]
R = 8.5;                            % Load inductor resistance [Ohm]

Vdc = 100;                          % Dc bus voltage [V]
Cdc = 250e-6;                       % Dc bus capacitance [F]


%% Open-loop voltage control

f = 50;                             % Fundamental frequency [Hz]
